Maxx Control REST: Set channel names
Maxx Control REST: get and set channel names for zones, UI labels, and home-automation integrations.
Categories:
Use the Maxx Control REST API to get and set channel names so zones and automation UIs stay readable. Names can contain alphanumeric characters, spaces, and special characters.
Get Channel Name
Retrieve the current name of a channel:
curl -X 'GET' http://${IP}/rest-api/settings/channel/1/name{
"value": "Living Room Left"
}Set Channel Name
Set or update the name of a channel. Channel names can be up to 256 characters and support:
- Letters (a-z, A-Z)
- Numbers (0-9)
- Spaces
- Special characters:
äöü:_()!%+*#-
curl -X 'PUT' http://${IP}/rest-api/settings/channel/1/name \
-H 'Content-Type: application/json' \
-H 'token: f4005bf8507999192162d989d5a60823' \
-d '{
"value": "Living Room Left"
}'{
"value": "Living Room Left"
}Set Multiple Channel Names
Set names for multiple channels in a single request:
curl -X 'PUT' http://${IP}/rest-api/settings/channel/ \
-H 'Content-Type: application/json' \
-H 'token: f4005bf8507999192162d989d5a60823' \
-d '[
{
"channel_id": 1,
"name": {
"value": "Living Room Left"
}
},
{
"channel_id": 2,
"name": {
"value": "Living Room Right"
}
},
{
"channel_id": 3,
"name": {
"value": "Kitchen"
}
},
{
"channel_id": 4,
"name": {
"value": "Bedroom"
}
}
]'[
{
"channel_id": 1,
"name": {
"value": "Living Room Left"
}
},
{
"channel_id": 2,
"name": {
"value": "Living Room Right"
}
},
{
"channel_id": 3,
"name": {
"value": "Kitchen"
}
},
{
"channel_id": 4,
"name": {
"value": "Bedroom"
}
}
]Get Maximum Channel Name Length
Check the maximum allowed length for channel names:
curl -X 'OPTIONS' http://${IP}/rest-api/settings/channel/1/name{
"length": 256
}Example: Naming a Multi-Zone Setup
Here’s a practical example for naming channels in a multi-zone audio system:
curl -X 'PUT' http://${IP}/rest-api/settings/channel/ \
-H 'Content-Type: application/json' \
-H 'token: f4005bf8507999192162d989d5a60823' \
-d '[
{
"channel_id": 1,
"name": {
"value": "Zone 1 - Main"
}
},
{
"channel_id": 2,
"name": {
"value": "Zone 2 - Kitchen"
}
},
{
"channel_id": 3,
"name": {
"value": "Zone 3 - Bedroom"
}
},
{
"channel_id": 4,
"name": {
"value": "Zone 4 - Office"
}
}
]'[
{
"channel_id": 1,
"name": {
"value": "Zone 1 - Main"
}
},
{
"channel_id": 2,
"name": {
"value": "Zone 2 - Kitchen"
}
},
{
"channel_id": 3,
"name": {
"value": "Zone 3 - Bedroom"
}
},
{
"channel_id": 4,
"name": {
"value": "Zone 4 - Office"
}
}
]Tip: Use descriptive channel names to make your system easier to manage, especially when integrating with home automation systems or control interfaces.